package plugin1;
import org.eclipse.ecf.core.ContainerFactory;
import org.eclipse.ecf.core.IContainer;
import org.eclipse.ecf.core.identity.ID;
import org.eclipse.ecf.core.identity.IDFactory;
import org.eclipse.ecf.remoteservice.IRemoteServiceContainerAdapter;
import org.eclipse.ui.IStartup;

public class Startup implements IStartup {

	public void startServer() {
		try {
			ID serverID = IDFactory.getDefault().createStringID("ecftcp://localhost:3282/server");
			Object[] args = new Object[] { serverID };
			ContainerFactory.getDefault().createContainer("ecf.generic.server", args);
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public void init()  {
		try {
			ID serverID = IDFactory.getDefault().createStringID("ecftcp://localhost:3282/server");
			IContainer client = ContainerFactory.getDefault().createContainer("ecf.generic.client");
			client.connect(serverID, null);
			IRemoteServiceContainerAdapter remoteContainerTwo = (IRemoteServiceContainerAdapter) client.getAdapter(IRemoteServiceContainerAdapter.class);
			remoteContainerTwo.getRemoteServiceReferences(null, IConcat.class.getName(), null);
			Thread.sleep(1000);
			client.disconnect();
		} catch (Exception e) {
			e.printStackTrace();
		}
	}

	public void earlyStartup() {
		startServer();
//		init();
	}

}
